package test.org.seasar.extension;

import junit.framework.Test;
import junit.framework.TestSuite;
import test.org.seasar.extension.dataset.DatasetAllTests;
import test.org.seasar.extension.dbcp.impl.DbcpImplAllTests;
import test.org.seasar.extension.j2ee.J2eeAllTests;
import test.org.seasar.extension.jta.JtaAllTests;
import test.org.seasar.extension.timer.TimerAllTests;
import test.org.seasar.extension.tx.TxAllTests;
import test.org.seasar.extension.unit.UnitAllTests;

/**
 * @author higa
 *
 */
public class ExtensionAllTests extends TestSuite {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ExtensionAllTests.class);
	}

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for test.org.seasar.extension");
		//$JUnit-BEGIN$
		suite.addTest(DatasetAllTests.suite());
		suite.addTest(DbcpImplAllTests.suite());
		suite.addTest(J2eeAllTests.suite());
		suite.addTest(JtaAllTests.suite());
		suite.addTest(TimerAllTests.suite());
		suite.addTest(TxAllTests.suite());
		suite.addTest(UnitAllTests.suite());
		//$JUnit-END$
		return suite;
	}
}
